
Summary: a programmable calculator for number theory applications
Name: pari
Version: 1.39.03
Release: 4
Copyright: Copyrighted, freely distributable if attributed, no warranty
Group: Applications/Math
Packager: John C. Peterson <jaypee@netcom.com>
Source: ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-1.39.03.tar.gz
Patch: pari-1.39.03-linux.patch
Buildroot: /tmp/build_root

%package devel
Summary: pari library and header file (for application development)
Group: Development/Libraries

%description
The PARI system is a package which is capable of doing formal
computations on recursive types at high speed. It is primarily aimed at
number theorists, but is useful to anyone whose primary need is speed.

This package contains a sophisticated programmable calculator, named
PARI GP, which also implements many features of high level languages,
(such as control, and looping constructs).

Although some symbolic manipulation is possible, PARI GP is inferior to
more sophisticated packages such as Axiom, Macsyma, Maple, Mathematica,
or Reduce on manipulations such as multivariate polynomials, formal
integration, etc. On the other hand, it has two significant advantages.
It's speed, (which can be from 5 to 100 times faster on many computations
than the above mentioned systems), and the ability to use data types
which are familiar to mathematicians.

%description devel
The PARI system is a package which is capable of doing formal
computations on recursive types at high speed. It is primarily aimed at
number theorists, but is useful to anyone whose primary need is speed.

This package contains header files and a library of functions for
developers. The functions can be called from any application written in
a high level language such as C, C++, Pascal or Fortran.

%prep
%setup -b 0 -n pari-1.39.03 -T
cd src
./Makemakefile linux
cd ..
%patch -p1

%build
cd src
# make executable
make all
# make static library
make staticlib
# make shared library
rm -f *.o
make CFLAGS="-fPIC -m486 -O2 -DLONG_IS_32BIT -ansi" sharedlib
# compress documentation
cd ../doc
gzip -9 *.tex

%install
cd src
rm -rf $RPM_BUILD_ROOT
# create required directories
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/include/pari
install -d $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
# install the executable, man page, and emacs interface
install -m 0755 -s gp $RPM_BUILD_ROOT/usr/bin/gp
cp -p gp.1 $RPM_BUILD_ROOT/usr/man/man1/gp.1
chmod 0644 $RPM_BUILD_ROOT/usr/man/man1/gp.1
cp -p pari.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/pari.el
chmod 0644 $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/pari.el
# install the header files
cp -p genpari.h gencom.h genport.h gen68k.h \
      erreurs.h mpansi.h mpdefs.h mpin.h $RPM_BUILD_ROOT/usr/include/pari/
chmod 0644 $RPM_BUILD_ROOT/usr/include/pari/*.h
# install the libraries
cp -p libpari.a $RPM_BUILD_ROOT/usr/lib/
cp -p libpari.so.1.39 $RPM_BUILD_ROOT/usr/lib/

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%clean
# remove build dir
rm -rf $RPM_BUILD_ROOT

%files
%doc doc examples src/Buglist src/Changes src/README src/THANKS src/TODO src/testin src/testout
/usr/bin/gp
/usr/man/man1/gp.1
/usr/share/emacs/site-lisp/pari.el

%files devel
/usr/include/pari
/usr/lib/libpari.a
/usr/lib/libpari.so.1.39

